package com.bonus.gs.sub.evaluate.evaluate.dao;

import com.bonus.gs.sub.evaluate.evaluate.beans.SetTemplateBean;
import com.bonus.gs.sub.evaluate.evaluate.beans.SubClassBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @ClassName: SetTemplateDao
 * @author: tqzhang
 * @Date: 2024/12/18 15:10
 * @version: 1.0
 * @description: 模板配置
 */
@Mapper
public interface SetTemplateDao {
    /**
     * 获取模板列表
     * @param o
     * @return
     */
    List<SetTemplateBean> getTemplateList(SetTemplateBean o);
    /**
     * 删除模板
     * @param id
     * @return
     */
    int deleteTemplateById(String id);
    /**
     * 检查模板名称是否存在
     * @param o
     * @return
     */
    int checkIsExistTemplateName(SetTemplateBean o);
    /**
     * 添加模板
     * @param o
     * @return
     */
    int addTemplate(SetTemplateBean o);
    /**
     * 修改模板
     * @param o
     * @return
     */
    int updateTemplate(SetTemplateBean o);
    /**
     * 添加模板详情
     * @param templateBean
     * @return
     */
    int addTemplateDetails(SetTemplateBean templateBean);
    /**
     * 添加二级模板详情
     * @param subClassBean
     * @return
     */
    int addTwoLevelTemplateDetails(SubClassBean subClassBean);
    /**
     * 获取责任部门下拉框
     * @param bean
     * @return
     */
    List<SetTemplateBean> getResponsibleDepartmentSelect(SetTemplateBean bean);

    Integer changeEnable(SetTemplateBean o);

    void setTemplatePass();
}
